/* ========================================
 *
 * Copyright AP Engineering, 2018
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your AP Engineering.
 *
 * ========================================
*/
#ifndef UART_COMMANDS_H
#define UART_COMMANDS_H

#include "project.h"
    
/***************************************
*            Constants
****************************************/  
#define QUEUE_WAIT_PERIOD (100)
    
// UART commands
#define CMD_REPORT_TUBE_SENSOR          ('r')
    
/*******************************************************************************
*            Prototypes
*******************************************************************************/
void init_UART();    
void ISR_UART(void);
void UART_MenuTask( CY_UNUSED void *arg );
void displayCommandMenu();

#endif // UART_COMMANDS_H

/* [] END OF FILE */
